%global cpp_client_name libpalo_ng

Summary:            Palo Database C++ Client
Name:               palo-client-cpp
Version:            0.0.0
Release:            0%{?dist}
License:            GPLv2
Group:              Applications/Databases
Source:             https://svn.code.sf.net/p/palo/code/molap/server/5.1/%{name}.tar.gz
#Update the ax_boost.m4 macro used by automake.  Updated m4 macro taken from:
#https://raw.githubusercontent.com/tsuna/boost.m4/master/build-aux/boost.m4
Patch0:             %{name}-%{version}-boost-m4.patch
Patch1:             %{name}-%{version}-configure-ac.patch
URL:                http://www.jedox.com/community/palo-forum/
BuildRequires:      libtool
BuildRequires:      icu
BuildRequires:      libicu-devel
BuildRequires:      boost-devel
BuildRequires:      openssl-devel

%package devel
Summary:            Palo Database C++ Client Development Files
Group:              Development/Libraries
BuildArch:          noarch

%description
Palo C++ client provides a set of dynamically linked libraries (.so) that
can be used by applications to access the palo MOLAP database.  The 
c++ client library creates a connection to the palo database server using
either a HTTP or HTTPS.  The palo database server may be located on the
same or on a different machine.

%description devel
Palo C client development package provides a set of c header files (.h) 
that can be used by to develop C application which access the palo MOLAP
database.

%prep
%setup -q
#Patch the ax_boost.m4 macro to ensure that automake can complete
%patch0 -p1
%patch1 -p1

%build
#Build the c++ client library, libpalo_ng; with the ax_boost.m4 macro updated, run autoreconf
cd %{cpp_client_name}/source
autoreconf
./configure --disable-static --libdir=%_libdir
make %{?_smp_mflags}

%install
mkdir --parents %{buildroot}%{_libdir}
#Install the cpp client files
install --mode=0755 %{_builddir}/%{name}-%{version}/%{cpp_client_name}/source/.libs/%{cpp_client_name}.so.%{version} %{buildroot}%{_libdir}
#Create the cpp client symbolic links
cd %{buildroot}%{_libdir}
ln -sf %{cpp_client_name}.so.%{version} %{cpp_client_name}.so
ln -sf %{cpp_client_name}.so.%{version} %{cpp_client_name}.so.0
#Move the license to the root directory
cp %{_builddir}/%{name}-%{version}/%{cpp_client_name}/source/COPYING %{_builddir}/%{name}-%{version}

#Copy accross the header files for the devel package
mkdir --parents %{buildroot}%{_includedir}/%{cpp_client_name}
cp -r %{_builddir}/%{name}-%{version}/%{cpp_client_name}/source/include/%{cpp_client_name}/* %{buildroot}%{_includedir}/%{cpp_client_name}

#Ensure the ldconfig is called on install and uninstall so the .so's work as expected
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING
%{_libdir}/%{cpp_client_name}.so*

%files devel
%{_includedir}/%{cpp_client_name}
%{_includedir}/%{cpp_client_name}/*

%changelog
* Tue Nov 10 2015 Michael Arnold <myk321@gmail.com> - 0.0.0-0
- Initial draft

